'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.SearchBar = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _FormInput = require('./../FormInput');

var _FormInput2 = _interopRequireDefault(_FormInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SearchBar = exports.SearchBar = function (_Component) {
	_inherits(SearchBar, _Component);

	function SearchBar() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, SearchBar);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SearchBar.__proto__ || Object.getPrototypeOf(SearchBar)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {

			return _react2.default.createElement(
				'div',
				{ className: '' + (_this.props.isModuleSearch ? "cp-ModuleSearch" : "cp-SearchBar") },
				_react2.default.createElement(_FormInput2.default, { onKeyUp: _this.props.onKeyPressHandler, type: 'search', placeholder: _this.props.placeholder, defaultValue: _this.props.defaultValue, className: (_this.props.size ? "cp-SearchBar-input--small" : '') + ' ' + (_this.props.isModuleSearch ? "cp-ModuleSearch-input" : "cp-SearchBar-input") }),
				_react2.default.createElement(
					'button',
					{ onClick: _this.props.onClickHandler, className: 'cp-Btn cp-SearchBar-button ' + (_this.props.size ? "cp-SearchBar-button--small" : '') },
					_react2.default.createElement(
						'svg',
						null,
						_react2.default.createElement('use', { xmlnsXlink: 'http://www.w3.org/1999/xlink', xlinkHref: '#iconSearch' })
					)
				)
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}
	// constructor(props) {
	// 	super(props);
	// }


	return SearchBar;
}(_react.Component);

SearchBar.propTypes = {
	onClickHandler: _propTypes2.default.func.isRequired,
	onKeyPressHandler: _propTypes2.default.func.isRequired,
	size: _propTypes2.default.oneOf(['small']),
	defaultValue: _propTypes2.default.string,
	isModuleSearch: _propTypes2.default.bool
};
exports.default = SearchBar;