'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CPPage = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CPToolbar = require('./../CPToolbar');

var _CPFooter = require('./../CPFooter');

var _CPHeader = require('./../CPHeader');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CPPage = exports.CPPage = function (_Component) {
	_inherits(CPPage, _Component);

	function CPPage() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, CPPage);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CPPage.__proto__ || Object.getPrototypeOf(CPPage)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {

			return _react2.default.createElement(
				'div',
				{ className: 'cp-AdminWrap' },
				_react2.default.createElement(
					'div',
					{ className: 'cp-OuterWrap' },
					_react2.default.createElement(_CPToolbar.CPToolbar, null),
					_react2.default.createElement(
						'div',
						{ className: 'cp-InnerWrap', style: { "paddingTop": "50px" } },
						_react2.default.createElement(
							'div',
							{ id: '#wrap', className: 'cp-Wrap' },
							_react2.default.createElement(_CPHeader.CPHeader, { title: 'Group Management', subtitle: 'CivicPlus', icon: 'iconUsers' }),
							_react2.default.createElement(
								'div',
								{ className: 'cp-Main' },
								_this.props.children
							)
						)
					),
					_react2.default.createElement(_CPFooter.CPFooter, null)
				)
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	return CPPage;
}(_react.Component);

CPPage.propTypes = {
	/** Something */
	hasLeftNav: _propTypes2.default.bool
};
exports.default = CPPage;